uno-libs3_6.0.3-0ubuntu1_amd64.deb


Advertisement

Description

uno-libs3 - LibreOffice UNO runtime environment -- public shared libraries

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name uno-libs3
Package version 6.0.3
Package release 0ubuntu1
Package architecture amd64
Package type deb
Installed size 2.48 KB
Download size 691.01 KB
Official Mirror archive.ubuntu.com
The Uno Runtime Environment (URE) is the well-known UNO component model
of LibreOffice, packaged up as an individual product.
It offers you a flexible, low-overhead component model that is most ideal
for (but not limited to) combining in one application components written in
different computer languages, and developed by different parties. You can use
it to create any kind of application, in whatever application domain you can
imagine.
This package contains the public libraries:
- libuno_sal: System Abstraction Layer (C Interface)
- libuno_salhelpergcc3: additional C++ functionality for sal
- libuno_cppu: C++ UNO bridge (C Interface)
- libuno_cppuhelpergcc3: additional C++ functionality for cppu
- libuno_purpenvhelpergcc3: "purpose environments" helper

Alternatives

Package Version Architecture Repository
uno-libs3_6.0.7-0ubuntu0.18.04.2_amd64.deb 6.0.7 amd64 Ubuntu Updates Main
uno-libs3_6.0.7-0ubuntu0.18.04.2_i386.deb 6.0.7 i386 Ubuntu Updates Main
uno-libs3_6.0.3-0ubuntu1_i386.deb 6.0.3 i386 Ubuntu Main
uno-libs3 - - -

Requires

Name Value
libc6 >= 2.15
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Replaces

Name Value
ure << 1:5.0.0~rc2-1

Download

Type URL
Binary Package uno-libs3_6.0.3-0ubuntu1_amd64.deb
Source Package libreoffice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install uno-libs3 deb package:
    # sudo apt-get install uno-libs3

Files

Path
/usr/lib/libreoffice/program/libreglo.so
/usr/lib/libreoffice/program/libstorelo.so
/usr/lib/libreoffice/program/libuno_cppu.so.3
/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3
/usr/lib/libreoffice/program/libuno_purpenvhelpergcc3.so.3
/usr/lib/libreoffice/program/libuno_sal.so.3
/usr/lib/libreoffice/program/libuno_salhelpergcc3.so.3
/usr/lib/libreoffice/program/libunoidllo.so
/usr/lib/libreoffice/program/libxmlreaderlo.so
/usr/lib/x86_64-linux-gnu/libuno_cppu.so.3
/usr/lib/x86_64-linux-gnu/libuno_cppuhelpergcc3.so.3
/usr/lib/x86_64-linux-gnu/libuno_purpenvhelpergcc3.so.3
/usr/lib/x86_64-linux-gnu/libuno_sal.so.3
/usr/lib/x86_64-linux-gnu/libuno_salhelpergcc3.so.3
/usr/share/bug/uno-libs3/presubj
/usr/share/doc/uno-libs3/changelog.Debian.gz
/usr/share/doc/uno-libs3/copyright
/usr/share/lintian/overrides/uno-libs3

Changelog

2018-04-10 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.0.3-0ubuntu1) bionic; urgency=medium
* New upstream release
2018-04-02 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.0.3-1) unstable; urgency=medium
* New upstream release
* debian/patches/gpg-overly-long-filenames-fix.diff: backport
https://gerrit.libreoffice.org/#/c/50978/ fix to fix gpg encryption
test ("File name too long")
* debian/patches/disable-flaky-tests.diff: remove disabling of
testODFEncryptedGPG.
* debian/patches/check-for-gpgconf-and-run-user.diff: as name says,
don't fail when gpgconf --create-socketdir doesn't work because
/run/user/<uid> doesn't exist... Check for it.
* debian/rules:
- add explicit gpg-agent and gpgconf build-dependencies
- add explicit python3-distutils build-dependency as
python3.6 3.6.5~rc1-2 dropped its python3-distutils dependency...
2018-03-05 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.0.2-0ubuntu1) bionic; urgency=medium
[ Olivier Tilloy ]
* branding/progress.conf: update to new Ubuntu Orange (LP: #1752372)
[ Rico Tzschichholz ]
* New upstream release
* Drop upstreamed patches:
- apparmor-senddoc-fixes.patch
- fix-packageinfo-motarget-files.patch
- solenv-Update-gb_PackageInfo_emit_l10n_for_one_lang.patch
2018-02-28 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.0.2-1) unstable; urgency=medium
[ Rene Engelhard ]
* New upstream release
* debian/patches/orcus-0.13.3.diff: backport patches to fix build/tests
against orcus 0.13.3
* debian/patches/disable-some-sc-tests-with-internal-cppunit.diff: update
* debian/watch: update for the multiple tarballs
* debian/copyright: remove Files-Excluded: for files already removed by
upstreams pack script anyway to allow mk-origtargz doing --symlink
* debian/scripts/mk-origtargz: own mk-origtargz..
* debian/rules:
- --disable-pdfium on arm64
- actually build without -g if ENABLE_SYMBOLS=n
- add get-orig-source target for "real" upstream tarballs
- fix libvisio dependency
- bump runtime (and test) depends for liborcus to >= 0.13.3
* debian/control.in:
- recommend xdg-utils in -common (for xdg-{open,email})
[ Olivier Tilloy ]
* debian/rules: define ${java-common-depends} when building
libreoffice-wiki-publisher and libreoffice-nlpsolver (closes: #891765)
2018-02-23 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.0.1-0ubuntu3) bionic; urgency=medium
[ Olivier Tilloy ]
* debian/patches/uitest-skip-test_text_direction.patch: removed
[ Rene Engelhard ]
* debian/patches/orcus-0.13.3.diff: backport patches to fix build/tests
against orcus 0.13.3
[ Rico Tzschichholz ]
* debian/patches/solenv-Update-gb_PackageInfo_emit_l10n_for_one_lang.patch:
Update gb_PackageInfo_emit_l10n_for_one_lang to add cjk_*, ctl_* and
ctlseqcheck_$LANG.xcd files to install list (LP: #1750335)
* Fix libvisio and libqxp shlibs dependency (Thanks Rene)
2018-02-21 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.0.1-0ubuntu2) bionic; urgency=medium
[ Olivier Tilloy ]
* debian/patches/apparmor-senddoc-fixes.patch: updated to reflect upstream
commit
* debian/patches/uitest-skip-test_text_direction.patch: skip a UI test that
is consistently failing (LP: #1750335)
[ Rico Tzschichholz ]
* debian/rules: Revert "explicitly use openjdk 9 on i386…"
2018-02-13 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.0.1-0ubuntu1) bionic; urgency=medium
[ Rico Tzschichholz ]
* New upstream release
* debian/patches/fix-packageinfo-motarget-files.patch: Fix make packageinfo
to let "install-packages-l10n-*" targets work again (LP: #1748437)
[ Olivier Tilloy ]
* debian/patches/hide-startcenter-and-maths-desktop-files.patch: hide
startcenter and math icons from the shell (LP: #1696250)
* debian/patches/apparmor-senddoc-fixes.patch: apparmor fixes for the
senddoc profile (LP: #1748895)

See Also

Package Description
unzip_6.0-21ubuntu1_amd64.deb De-archiver for .zip files
update-inetd_4.44_all.deb inetd configuration file updater
update-manager-core_18.04.11_all.deb manage release upgrades
update-manager_18.04.11_all.deb GNOME application that manages apt updates
update-motd_3.6-0ubuntu1_all.deb compliments pam_motd in libpam-modules
update-notifier-common_3.192_all.deb Files shared between update-notifier and other packages
update-notifier_3.192_amd64.deb Daemon which notifies about package updates
upower-doc_0.99.7-2_all.deb abstraction for power management - documentation
upower_0.99.7-2_amd64.deb abstraction for power management
ure_6.0.3-0ubuntu1_amd64.deb LibreOffice UNO runtime environment
ureadahead_0.100.0-20_amd64.deb Read required files in advance
usb-creator-common_0.3.5_amd64.deb create a startup disk using a CD or disc image (common files)
usb-creator-gtk_0.3.5_amd64.deb create a startup disk using a CD or disc image (for GNOME)
usb-modeswitch-data_20170806-2_all.deb mode switching data for usb-modeswitch
usb-modeswitch_2.5.2+repack0-2ubuntu1_amd64.deb mode switching tool for controlling "flip flop" USB devices
Advertisement
Advertisement